Bug 14128 - Capitalization: Guided Reports - step 2 - Build A Report
Summary: Capitalization: Guided Reports - step 2 - Build A Report
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-03 17:13 UTC by Katrin Fischer
Modified: 2015-12-03 22:03 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14128 - Capitalization: Guided Reports - step 2 - Build A Report (1.18 KB, patch)
2015-05-04 09:25 UTC, Marc Véron
Details | Diff | Splinter Review
Title 'Build a report' should display with all steps (2.21 KB, patch)
2015-05-04 09:36 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14128 - Capitalization: Guided Reports - step 2 - Build A Report Title 'Build a report' should display with all steps (2.36 KB, patch)
2015-05-04 21:56 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 14128 - Capitalization: Guided Reports - step 2 - Build A Report (1.29 KB, patch)
2015-05-05 14:02 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14128 - Capitalization: Guided Reports - step 2 - Build A Report Title 'Build a report' should display with all steps (2.42 KB, patch)
2015-05-05 14:03 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 14128 - Capitalization: Guided Reports - step 2 - Build A Report (1.37 KB, patch)
2015-05-08 06:30 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 14128 - Capitalization: Guided Reports - step 2 - Build A Report Title 'Build a report' should display with all steps (2.50 KB, patch)
2015-05-08 06:30 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-05-03 17:13:37 UTC
When building a report using the guided reports tool, on step 2 there is a capitalization problem: Build A Report

Some more issues might appear on taking a closer look.
Comment 1 Marc Véron 2015-05-04 09:25:31 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-05-04 09:36:27 UTC Comment hidden (obsolete)
Comment 3 Héctor Eduardo Castro Avalos 2015-05-04 21:56:57 UTC Comment hidden (obsolete)
Comment 4 Héctor Eduardo Castro Avalos 2015-05-05 14:02:03 UTC Comment hidden (obsolete)
Comment 5 Héctor Eduardo Castro Avalos 2015-05-05 14:03:02 UTC Comment hidden (obsolete)
Comment 6 Marcel de Rooy 2015-05-08 06:30:04 UTC
Created attachment 38962 [details] [review]
Bug 14128 - Capitalization: Guided Reports - step 2 - Build A Report

To verify and test:
Go to Home > Reports
Click on 'Build new'
Verify that the title in Step 1 and to display with correct capitalization

Sponsored-by: Universidad de El Salvador

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Marcel de Rooy 2015-05-08 06:30:10 UTC
Created attachment 38963 [details] [review]
Bug 14128 - Capitalization: Guided Reports - step 2 - Build A Report Title 'Build a report' should display with all steps

The tile displayed only with steps #1 and #2

This patch adds the title to the following steps.

To test:
Home > Reports
Click on 'Build new'
Step through steps 1 - 6
Verify that title displays with each step.

Sponsored-by: Universidad de El Salvador

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Tomás Cohen Arazi 2015-05-14 14:19:50 UTC
Patches pushed to master.

Thanks Marc!
Comment 9 Chris Cormack 2015-05-17 22:03:14 UTC
Pushed to 3.18.x will be in 3.18.7